Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class BouncyCastleProvider

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  java.security.Provider
                      org.bouncycastle.jce.provider.BouncyCastleProvider

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public final class BouncyCastleProvider
extends java.security.Provider

To add the provider at runtime use:

     import java.security.Security;
     import org.bouncycastle.jce.provider.BouncyCastleProvider;

     Security.addProvider(new BouncyCastleProvider());

The provider can also be configured as part of your environment via static registration by adding an entry to the java.security properties file (found in $JAVA_HOME/jre/lib/security/java.security, where $JAVA_HOME is the location of your JDK/JRE distribution). You'll find detailed instructions in the file but basically it comes down to adding a line:

        security.provider.<n>=org.bouncycastle.jce.provider.BouncyCastleProvider

Where <n> is the preference you want the provider at (1 being the most prefered).

Note: JCE algorithm names should be uppercase only so the case insensitive test for getInstance works.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.security.Provider
`java.security.Provider.Service`

Field Summary
`static java.lang.String` | `PROVIDER_NAME`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`BouncyCastleProvider()` Construct a new provider.

Method Summary

Methods inherited from class java.security.Provider
`clear, entrySet, getInfo, getName, getService, getServices, getVersion, keySet, load, put, putAll, putService, remove, removeService, toString, values`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, elements, equals, get, hashCode, isEmpty, keys, rehash, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROVIDER_NAME

    public static java.lang.String PROVIDER_NAME

Constructor Detail

### BouncyCastleProvider

    public BouncyCastleProvider()

  Construct a new provider. This should only be required when using runtime registration of the provider using the `Security.addProvider()` mechanism.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD